Page MenuHomeFreeBSD

audio/musicpd: Remove selected redundant libraries in default config
ClosedPublic

Authored by diizzy on Nov 9 2019, 6:44 PM.
Tags
None
Referenced Files
Unknown Object (File)
May 24 2024, 12:33 AM
Unknown Object (File)
May 24 2024, 12:29 AM
Unknown Object (File)
May 24 2024, 12:29 AM
Unknown Object (File)
May 21 2024, 7:54 PM
Unknown Object (File)
May 13 2024, 2:26 AM
Unknown Object (File)
Apr 25 2024, 5:03 PM
Unknown Object (File)
Apr 18 2024, 9:57 PM
Unknown Object (File)
Apr 17 2024, 3:58 PM
Subscribers

Details

Summary

Remove libaudiofile and libmad as FFmpeg handles these formats and a lot more

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

FLAC can also be removed if FLAC encoding is deemed unnecessary.
FFmpeg handles some of the formats libsndfile supports however not the following:

iff", "svx", /* Commodore Amiga IFF / SVX */
"w64", /* Soundforge */
"xi", /* Fasttracker */
"htk", /* HMM Tool Kit */
"sd2", /* Sound Designer II */

diizzy retitled this revision from audio/musicpd: Remove redundant libraries listed as dependencies in default config to audio/musicpd: Remove selected redundant libraries in default config.Nov 9 2019, 6:49 PM
In D22294#495276, @daniel.engberg.lists_pyret.net wrote:

@riggs
Friendly ping

Sorry, that one slipped. On it, thanks for the reminder.

This revision was not accepted when it landed; it landed in state Needs Review.Dec 8 2019, 12:24 AM
This revision was automatically updated to reflect the committed changes.